<template>
  <div>
    <b-card class="mb-2" img-right>
      <b-img
        right
        src="https://picsum.photos/75/75/?image=58"
        alt="Right image"
      ></b-img>
      <p class="dashboard_header_name">{{$t('message.dashboard_header_name')}}</p>
      <h5 class="dashboard_header_field">{{$t('message.dashboard_header_filed')}}</h5>
      <p>{{zoom}}</p>
      <!-- <div class="title">
          <slot name="section1"></slot>
          <span style="color: #ccc"><slot name="subtitle">The subtitle</slot></span>
      </div>
      <hr>
      <div>
            <slot name="section2"></slot>
      </div> -->

      
    </b-card>
  </div>
</template>

<script>
import {eventBus} from '../../main';
export default {
    props:{
        zoom: {
            type: String
        }
    },
    created() {
        eventBus.$on('zoomWasReset', (zoom)=> {
            this.zoom = zoom
        })
    }
};
</script>

<style scoped>
.dashboard_header_name{
  text-align: center;
}
.dashboard_header_field {
  text-align: center;
}
</style>